Summary: A version of the MIT Athena widget set for X.
Name: Xaw3d
Version: 1.5
Release: 5
Group: System Environment/Libraries
License: MIT
URL: ftp://ftp.x.org/contrib/widgets/Xaw3d/
Source0: ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
Patch6: %{name}-%{version}-i18n.patch
Patch8: %{name}-%{version}-scrollbar1.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Header files and static libraries for development using Xaw3d.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and static libraries for developing programs that take
full advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -n xc
%patch0

cd lib/%{name}
ln -s .. X11
%patch6 -p4
%patch8 -p4
cd ../..


%build
cd lib/%{name}
xmkmf

# first build the 64-bit version
export OBJECT_MODE=64
make CDEBUGFLAGS="${CFLAGS} -DARROW_SCROLLBAR"

CreateExportList -X64 lib%{name}.exp lib%{name}.a
${CC} -qmkshrobj lib%{name}.a -o shr64.o -bE:lib%{name}.exp -lXmu -lXt -lXext -lX11
rm -f lib%{name}.exp lib%{name}.a
mkdir SAVE
mv shr64.o SAVE/

make clean

# now build the 32-bit version
export OBJECT_MODE=32
make CDEBUGFLAGS="${CFLAGS} -DARROW_SCROLLBAR"

CreateExportList -X32 lib%{name}.exp lib%{name}.a
${CC} -qmkshrobj lib%{name}.a -o shr.o -bE:lib%{name}.exp -lXmu -lXt -lXext -lX11
rm -f lib%{name}.exp lib%{name}.a

ar -X32 -rv lib%{name}.a shr.o
# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared object
ar -X64 -q lib%{name}.a SAVE/shr64.o


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd lib/%{name}
make DESTDIR=${RPM_BUILD_ROOT} install

mv ${RPM_BUILD_ROOT}/usr/include/X11/X11 ${RPM_BUILD_ROOT}/usr/include/X11/%{name}

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
mv ${RPM_BUILD_ROOT}/usr/include ${RPM_BUILD_ROOT}%{_prefix}
mv ${RPM_BUILD_ROOT}/usr/lib ${RPM_BUILD_ROOT}%{_prefix}

(
  cd $RPM_BUILD_ROOT
  mkdir -p usr/lpp/X11/lib/R6
  mkdir -p usr/lib
  ln -s %{_libdir}/libXaw3d.a usr/lpp/X11/lib/R6
  ln -s %{_libdir}/libXaw3d.a usr/lib

  mkdir -p usr/lpp/X11/include/X11
  ln -s %{_includedir}/X11/Xaw3d usr/lpp/X11/include/X11/Xaw3d
  ln -s %{_includedir}/X11/Xaw3d usr/lpp/X11/include/Xaw3d
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%{_libdir}/*.a
/usr/lpp/X11/lib/R6/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_includedir}/X11/Xaw3d
/usr/lpp/X11/include/X11/Xaw3d
/usr/lpp/X11/include/Xaw3d


%changelog
* Fri Jul 04 2008 Michael Perzl <michael@perzl.org> - 1.5-5
- first version for AIX V5.1 and higher
